<html lang="en">
<head>
<title>eieio-singleton - Enhanced Implementation of Emacs Interpreted Objects</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Enhanced Implementation of Emacs Interpreted Objects">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Base-Classes.html#Base-Classes" title="Base Classes">
<link rel="prev" href="eieio_002dinstance_002dtracker.html#eieio_002dinstance_002dtracker" title="eieio-instance-tracker">
<link rel="next" href="eieio_002dpersistent.html#eieio_002dpersistent" title="eieio-persistent">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="eieio-singleton"></a>
<a name="eieio_002dsingleton"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="eieio_002dpersistent.html#eieio_002dpersistent">eieio-persistent</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="eieio_002dinstance_002dtracker.html#eieio_002dinstance_002dtracker">eieio-instance-tracker</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Base-Classes.html#Base-Classes">Base Classes</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<h3 class="section">12.2 <code>eieio-singleton</code></h3>

<p>This class is in package <samp><span class="file">eieio-base</span></samp>.

<div class="defun">
&mdash; Class: <b>eieio-singleton</b><var><a name="index-eieio_002dsingleton-68"></a></var><br>
<blockquote><p>Inheriting from the singleton class will guarantee that there will
only ever be one instance of this class.  Multiple calls to
<code>make-instance</code> will always return the same object. 
</p></blockquote></div>

   </body></html>

